Blockly.JavaScript['fraction_constante'] = function(block) {
  var text_num = block.getFieldValue('NUM');
  var text_den = block.getFieldValue('DEN');
  var code = 'new Fraction(' + text_num + ',' + text_den + ')';
  return [code, Blockly.JavaScript.ORDER_ATOMIC];
};

Blockly.JavaScript['constante_entier'] = function(block) {
  var text_num = block.getFieldValue('NUM');
  var code = 'new Fraction(' + text_num + ',1)';
  return [code, Blockly.JavaScript.ORDER_ATOMIC];
};


Blockly.JavaScript['egale'] = function(block) {
  var variable_fr1 = Blockly.JavaScript.variableDB_.getName(block.getFieldValue('FR1'), Blockly.Variables.NAME_TYPE);
  var value_name = Blockly.JavaScript.valueToCode(block, 'NAME', Blockly.JavaScript.ORDER_ATOMIC);
  var code = variable_fr1 + '.eq(' + value_name + ')';
  return [code, Blockly.JavaScript.ORDER_EQUALITY];
};


Blockly.JavaScript['inferieure'] = function(block) {
  var variable_fr1 = Blockly.JavaScript.variableDB_.getName(block.getFieldValue('FR1'), Blockly.Variables.NAME_TYPE);
  var value_name = Blockly.JavaScript.valueToCode(block, 'NAME', Blockly.JavaScript.ORDER_ATOMIC);
  var code = variable_fr1 + '.lt(' + value_name + ')';
  return [code, Blockly.JavaScript.ORDER_EQUALITY];
};


Blockly.JavaScript['superieure'] = function(block) {
  var variable_fr1 = Blockly.JavaScript.variableDB_.getName(block.getFieldValue('FR1'), Blockly.Variables.NAME_TYPE);
  var value_name = Blockly.JavaScript.valueToCode(block, 'NAME', Blockly.JavaScript.ORDER_ATOMIC);
  var code = variable_fr1 + '.gt(' + value_name + ')';
  return [code, Blockly.JavaScript.ORDER_EQUALITY];
};


Blockly.JavaScript['supegale'] = function(block) {
  var variable_fr1 = Blockly.JavaScript.variableDB_.getName(block.getFieldValue('FR1'), Blockly.Variables.NAME_TYPE);
  var value_name = Blockly.JavaScript.valueToCode(block, 'NAME', Blockly.JavaScript.ORDER_ATOMIC);
  var code = variable_fr1 + '.ge(' + value_name + ')';
  return [code, Blockly.JavaScript.ORDER_EQUALITY];
};


Blockly.JavaScript['infegale'] = function(block) {
  var variable_fr1 = Blockly.JavaScript.variableDB_.getName(block.getFieldValue('FR1'), Blockly.Variables.NAME_TYPE);
  var value_name = Blockly.JavaScript.valueToCode(block, 'NAME', Blockly.JavaScript.ORDER_ATOMIC);
  var code = variable_fr1 + '.le(' + value_name + ')';
  return [code, Blockly.JavaScript.ORDER_EQUALITY];
};

Blockly.JavaScript['frac_plus'] = function(block) {
  var variable_fr1 = Blockly.JavaScript.variableDB_.getName(block.getFieldValue('FR1'), Blockly.Variables.NAME_TYPE);
  var value_name = Blockly.JavaScript.valueToCode(block, 'NAME', Blockly.JavaScript.ORDER_ATOMIC);
  var code = variable_fr1 + '.plus(' + value_name + ')';
  return [code, Blockly.JavaScript.ORDER_ADDITION];
};

Blockly.JavaScript['frac_moins'] = function(block) {
  var variable_fr1 = Blockly.JavaScript.variableDB_.getName(block.getFieldValue('FR1'), Blockly.Variables.NAME_TYPE);
  var value_name = Blockly.JavaScript.valueToCode(block, 'NAME', Blockly.JavaScript.ORDER_ATOMIC);
  var code = variable_fr1 + '.moins(' + value_name + ')';
  return [code, Blockly.JavaScript.ORDER_SUBTRACTION];
};

Blockly.JavaScript['frac_fois'] = function(block) {
  var variable_fr1 = Blockly.JavaScript.variableDB_.getName(block.getFieldValue('FR1'), Blockly.Variables.NAME_TYPE);
  var value_name = Blockly.JavaScript.valueToCode(block, 'NAME', Blockly.JavaScript.ORDER_ATOMIC);
  var code = variable_fr1 + '.fois(' + value_name + ')';
  return [code, Blockly.JavaScript.ORDER_MULTIPLICATION];
};

Blockly.JavaScript['frac_sur'] = function(block) {
  var variable_fr1 = Blockly.JavaScript.variableDB_.getName(block.getFieldValue('FR1'), Blockly.Variables.NAME_TYPE);
  var value_name = Blockly.JavaScript.valueToCode(block, 'NAME', Blockly.JavaScript.ORDER_ATOMIC);
  var code = variable_fr1 + '.sur(' + value_name + ')';
  return [code, Blockly.JavaScript.ORDER_DIVISION];
};

Blockly.JavaScript['frac_pow'] = function(block) {
  var variable_fr1 = Blockly.JavaScript.variableDB_.getName(block.getFieldValue('FR1'), Blockly.Variables.NAME_TYPE);
  var value_name = Blockly.JavaScript.valueToCode(block, 'NAME', Blockly.JavaScript.ORDER_ATOMIC);
  var code = 'new Fraction(Math.pow(' + variable_fr1 + '.n,' + value_name + '),Math.pow(' + variable_fr1 + '.d,' + value_name + '))';
  return [code, Blockly.JavaScript.ORDER_NONE];
};


Blockly.JavaScript['inverse'] = function(block) {
  var value_name = Blockly.JavaScript.valueToCode(block, 'NAME', Blockly.JavaScript.ORDER_ATOMIC);
  var code = value_name + '.inverse()';
  return [code, Blockly.JavaScript.ORDER_NONE];
};

Blockly.JavaScript['oppose'] = function(block) {
  var value_name = Blockly.JavaScript.valueToCode(block, 'NAME', Blockly.JavaScript.ORDER_ATOMIC);
  var code = value_name + '.opposé()';
  return [code, Blockly.JavaScript.ORDER_NONE];
};

Blockly.JavaScript['fraction_build'] = function(block) {
  var value_fr1 = Blockly.JavaScript.valueToCode(block, 'FR1', Blockly.JavaScript.ORDER_ATOMIC);
  var value_fr2 = Blockly.JavaScript.valueToCode(block, 'FR2', Blockly.JavaScript.ORDER_ATOMIC);
  var code = 'new Fraction(' + value_fr1 + ',' + value_fr2 + ')';
  return [code, Blockly.JavaScript.ORDER_ATOMIC];
};


Blockly.JavaScript['egyptian'] = function(block) {
  var value_frac = Blockly.JavaScript.valueToCode(block, 'FRAC', Blockly.JavaScript.ORDER_ATOMIC);
  var code = 'egypt(' + value_frac + ')';
  return [code, Blockly.JavaScript.ORDER_NONE];
};

Blockly.JavaScript['numerateur'] = function(block) {
  var value_frac = Blockly.JavaScript.valueToCode(block, 'FRAC', Blockly.JavaScript.ORDER_ATOMIC);
  var code = value_frac + '.n';
  return [code, Blockly.JavaScript.ORDER_NONE];
};

Blockly.JavaScript['denominateur'] = function(block) {
  var value_frac = Blockly.JavaScript.valueToCode(block, 'FRAC', Blockly.JavaScript.ORDER_ATOMIC);
  var code = value_frac + '.d';
  return [code, Blockly.JavaScript.ORDER_NONE];
};

Blockly.JavaScript['arrondi'] = function(block) {
  var value_frac = Blockly.JavaScript.valueToCode(block, 'FRAC', Blockly.JavaScript.ORDER_ATOMIC);
  var code = value_frac + '.toFloat()';
  return [code, Blockly.JavaScript.ORDER_NONE];
};





Blockly.JavaScript['big_aff'] = function(block) {
  var value_var = Blockly.JavaScript.valueToCode(block, 'VAR', Blockly.JavaScript.ORDER_ATOMIC);
  var code = 'document.getElementById("sortieNum").value += "\\n" + ' + value_var + ";\n";
  return code;
};

Blockly.JavaScript['big_efface'] = function(block) {
  var code = 'document.getElementById("sortieNum").value = "";\n';
  return code;
};
